<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-network-info.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">mcm-network-info.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="mcm-network-info_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef _MCM_NETWORK_INFO_H_</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define _MCM_NETWORK_INFO_H_</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="mcm-base-info_8h.html">mcm-base-info.h</a>&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680">   18</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ab678f4e08269f28971bf10e7168602cb">   19</a></span>&#160;    <a class="code" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ab678f4e08269f28971bf10e7168602cb">CON_STATE_ERROR</a>              =-1, </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a4cb11d2bbf7e48e034a6d84e76664b3b">   20</a></span>&#160;    <a class="code" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a4cb11d2bbf7e48e034a6d84e76664b3b">CON_STATE_INITIAL</a>            = 0, </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ad889eb604ab763554041bf00f0eeddec">   21</a></span>&#160;    <a class="code" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ad889eb604ab763554041bf00f0eeddec">CON_STATE_DEVICE_UNAVAILABLE</a> = 1, </div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a409ce0710cd276f7fd93d84b9df149dd">   22</a></span>&#160;    <a class="code" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a409ce0710cd276f7fd93d84b9df149dd">CON_STATE_DEVICE_READY</a>       = 2, </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    CON_STATE_DISABLING          = 3, </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680aea2657ecd7f07685f764f118fed9e3da">   24</a></span>&#160;    <a class="code" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680aea2657ecd7f07685f764f118fed9e3da">CON_STATE_DISABLED</a>           = 4, </div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ab7f9d8f97207f2ac82a12fe71793680a">   25</a></span>&#160;    <a class="code" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ab7f9d8f97207f2ac82a12fe71793680a">CON_STATE_CONFIGURED</a>         = 5, </div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a0e30c26dee8ff0dab7a1be848efe98e3">   26</a></span>&#160;    <a class="code" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a0e30c26dee8ff0dab7a1be848efe98e3">CON_STATE_CONFIGURE_FAILED</a>   = 6, </div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a3ee23ba01884227587c7c2d36e288d49">   27</a></span>&#160;    <a class="code" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a3ee23ba01884227587c7c2d36e288d49">CON_STATE_DISCONNECTED</a>       = 7, </div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a068d9915e09f097b6bce00ac2986b031">   28</a></span>&#160;    <a class="code" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a068d9915e09f097b6bce00ac2986b031">CON_STATE_RECONNECT</a>          = 8, </div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a517e3e35a511fdead2450b9dd38ff05e">   29</a></span>&#160;    <a class="code" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a517e3e35a511fdead2450b9dd38ff05e">CON_STATE_CONNECTED</a>          = 9, </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;} <a class="code" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680">McmConnectionState</a>;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keywordtype">int</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<a class="code" href="mcm-network-info_8h.html#acc9bfe8cc62efdda2721570e8649873a">mcm_get_network_info</a>(<span class="keywordtype">char</span>* interfaceName, <a class="code" href="structmcm__network__info.html">mcm_network_info</a>* network_info);</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keywordtype">int</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<a class="code" href="mcm-network-info_8h.html#abfcc8b8c61a648a7332924f3e1144e5a">mcm_get_network_status</a>(<span class="keywordtype">char</span>* interfaceName, <a class="code" href="structmcm__network__status.html">mcm_network_status</a>* network_status);</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keywordtype">int</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<a class="code" href="mcm-network-info_8h.html#aba65f32b91eca5394b51d4fa2b55dc2a">mcm_get_network_profiles</a>(<span class="keywordtype">char</span>* interfaceName, <span class="keywordtype">int</span>* num, <a class="code" href="structmcm__profiles.html">mcm_profiles</a>** profiles);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160; </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="keywordtype">int</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<a class="code" href="mcm-network-info_8h.html#ad4222ed317542f9daac888e462623b0f">mcm_network_get_property</a>(<span class="keywordtype">char</span>* interfaceName, <span class="keywordtype">char</span>* <a class="code" href="mcm-base-info_8h.html#ad20b8c57a45da862d3567815284924bf">propertyName</a>, <span class="keywordtype">char</span>** <a class="code" href="mcm-base-info_8h.html#a63b548928a16f43766049f86ef90671b">propertyValue</a>);</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="amcm-base-info_8h_html"><div class="ttname"><a href="mcm-base-info_8h.html">mcm-base-info.h</a></div></div>
<div class="ttc" id="amcm-base-info_8h_html_a63b548928a16f43766049f86ef90671b"><div class="ttname"><a href="mcm-base-info_8h.html#a63b548928a16f43766049f86ef90671b">propertyValue</a></div><div class="ttdeci">char * propertyValue</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:1</div></div>
<div class="ttc" id="amcm-base-info_8h_html_ad20b8c57a45da862d3567815284924bf"><div class="ttname"><a href="mcm-base-info_8h.html#ad20b8c57a45da862d3567815284924bf">propertyName</a></div><div class="ttdeci">char * propertyName</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:0</div></div>
<div class="ttc" id="amcm-network-info_8h_html_a443aac362a3654ed26d1d71c2fd77680"><div class="ttname"><a href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680">McmConnectionState</a></div><div class="ttdeci">McmConnectionState</div><div class="ttdef"><b>Definition:</b> mcm-network-info.h:18</div></div>
<div class="ttc" id="amcm-network-info_8h_html_a443aac362a3654ed26d1d71c2fd77680a068d9915e09f097b6bce00ac2986b031"><div class="ttname"><a href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a068d9915e09f097b6bce00ac2986b031">CON_STATE_RECONNECT</a></div><div class="ttdeci">@ CON_STATE_RECONNECT</div><div class="ttdef"><b>Definition:</b> mcm-network-info.h:28</div></div>
<div class="ttc" id="amcm-network-info_8h_html_a443aac362a3654ed26d1d71c2fd77680a0e30c26dee8ff0dab7a1be848efe98e3"><div class="ttname"><a href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a0e30c26dee8ff0dab7a1be848efe98e3">CON_STATE_CONFIGURE_FAILED</a></div><div class="ttdeci">@ CON_STATE_CONFIGURE_FAILED</div><div class="ttdef"><b>Definition:</b> mcm-network-info.h:26</div></div>
<div class="ttc" id="amcm-network-info_8h_html_a443aac362a3654ed26d1d71c2fd77680a3ee23ba01884227587c7c2d36e288d49"><div class="ttname"><a href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a3ee23ba01884227587c7c2d36e288d49">CON_STATE_DISCONNECTED</a></div><div class="ttdeci">@ CON_STATE_DISCONNECTED</div><div class="ttdef"><b>Definition:</b> mcm-network-info.h:27</div></div>
<div class="ttc" id="amcm-network-info_8h_html_a443aac362a3654ed26d1d71c2fd77680a409ce0710cd276f7fd93d84b9df149dd"><div class="ttname"><a href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a409ce0710cd276f7fd93d84b9df149dd">CON_STATE_DEVICE_READY</a></div><div class="ttdeci">@ CON_STATE_DEVICE_READY</div><div class="ttdef"><b>Definition:</b> mcm-network-info.h:22</div></div>
<div class="ttc" id="amcm-network-info_8h_html_a443aac362a3654ed26d1d71c2fd77680a4cb11d2bbf7e48e034a6d84e76664b3b"><div class="ttname"><a href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a4cb11d2bbf7e48e034a6d84e76664b3b">CON_STATE_INITIAL</a></div><div class="ttdeci">@ CON_STATE_INITIAL</div><div class="ttdef"><b>Definition:</b> mcm-network-info.h:20</div></div>
<div class="ttc" id="amcm-network-info_8h_html_a443aac362a3654ed26d1d71c2fd77680a517e3e35a511fdead2450b9dd38ff05e"><div class="ttname"><a href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a517e3e35a511fdead2450b9dd38ff05e">CON_STATE_CONNECTED</a></div><div class="ttdeci">@ CON_STATE_CONNECTED</div><div class="ttdef"><b>Definition:</b> mcm-network-info.h:29</div></div>
<div class="ttc" id="amcm-network-info_8h_html_a443aac362a3654ed26d1d71c2fd77680ab678f4e08269f28971bf10e7168602cb"><div class="ttname"><a href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ab678f4e08269f28971bf10e7168602cb">CON_STATE_ERROR</a></div><div class="ttdeci">@ CON_STATE_ERROR</div><div class="ttdef"><b>Definition:</b> mcm-network-info.h:19</div></div>
<div class="ttc" id="amcm-network-info_8h_html_a443aac362a3654ed26d1d71c2fd77680ab7f9d8f97207f2ac82a12fe71793680a"><div class="ttname"><a href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ab7f9d8f97207f2ac82a12fe71793680a">CON_STATE_CONFIGURED</a></div><div class="ttdeci">@ CON_STATE_CONFIGURED</div><div class="ttdef"><b>Definition:</b> mcm-network-info.h:25</div></div>
<div class="ttc" id="amcm-network-info_8h_html_a443aac362a3654ed26d1d71c2fd77680ad889eb604ab763554041bf00f0eeddec"><div class="ttname"><a href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ad889eb604ab763554041bf00f0eeddec">CON_STATE_DEVICE_UNAVAILABLE</a></div><div class="ttdeci">@ CON_STATE_DEVICE_UNAVAILABLE</div><div class="ttdef"><b>Definition:</b> mcm-network-info.h:21</div></div>
<div class="ttc" id="amcm-network-info_8h_html_a443aac362a3654ed26d1d71c2fd77680aea2657ecd7f07685f764f118fed9e3da"><div class="ttname"><a href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680aea2657ecd7f07685f764f118fed9e3da">CON_STATE_DISABLED</a></div><div class="ttdeci">@ CON_STATE_DISABLED</div><div class="ttdef"><b>Definition:</b> mcm-network-info.h:24</div></div>
<div class="ttc" id="amcm-network-info_8h_html_aba65f32b91eca5394b51d4fa2b55dc2a"><div class="ttname"><a href="mcm-network-info_8h.html#aba65f32b91eca5394b51d4fa2b55dc2a">mcm_get_network_profiles</a></div><div class="ttdeci">int mcm_get_network_profiles(char *interfaceName, int *num, mcm_profiles **profiles)</div><div class="ttdoc">A help function for get network profiles.</div><div class="ttdef"><b>Definition:</b> mcm-network-info.c:139</div></div>
<div class="ttc" id="amcm-network-info_8h_html_abfcc8b8c61a648a7332924f3e1144e5a"><div class="ttname"><a href="mcm-network-info_8h.html#abfcc8b8c61a648a7332924f3e1144e5a">mcm_get_network_status</a></div><div class="ttdeci">int mcm_get_network_status(char *interfaceName, mcm_network_status *network_status)</div><div class="ttdoc">A help function for get network status.</div><div class="ttdef"><b>Definition:</b> mcm-network-info.c:75</div></div>
<div class="ttc" id="amcm-network-info_8h_html_acc9bfe8cc62efdda2721570e8649873a"><div class="ttname"><a href="mcm-network-info_8h.html#acc9bfe8cc62efdda2721570e8649873a">mcm_get_network_info</a></div><div class="ttdeci">int mcm_get_network_info(char *interfaceName, mcm_network_info *network_info)</div><div class="ttdoc">A help function for get network informations.</div><div class="ttdef"><b>Definition:</b> mcm-network-info.c:15</div></div>
<div class="ttc" id="amcm-network-info_8h_html_ad4222ed317542f9daac888e462623b0f"><div class="ttname"><a href="mcm-network-info_8h.html#ad4222ed317542f9daac888e462623b0f">mcm_network_get_property</a></div><div class="ttdeci">int mcm_network_get_property(char *interfaceName, char *propertyName, char **propertyValue)</div><div class="ttdoc">A help function for get network property.</div><div class="ttdef"><b>Definition:</b> mcm-network-info.c:71</div></div>
<div class="ttc" id="astructmcm__network__info_html"><div class="ttname"><a href="structmcm__network__info.html">mcm_network_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:72</div></div>
<div class="ttc" id="astructmcm__network__status_html"><div class="ttname"><a href="structmcm__network__status.html">mcm_network_status</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:89</div></div>
<div class="ttc" id="astructmcm__profiles_html"><div class="ttname"><a href="structmcm__profiles.html">mcm_profiles</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:174</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
